Enhance the GetFeatureInfo Response allowing the configuration with css
Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19368

Description

Hi,

I just add a pull request to allow the configuration of the GetFeatureInfo response from QGIS-Server.

https://github.com/qgis/QGIS/pull/1529

The pull add a sample file css that allow a logo and a different graphic structure for the tables.

With this enhancement all the items of the tables are customizable by the css.

Regards.

History

#1 - 2014-08-08 02:37 PM - aperi2007 -

- File sample_response.gif added

This is a sample of the results using the patch.

The sample show an example of logo, and show how the response is changeable using the configuration of a css.

#2 - 2015-04-10 05:18 AM - Alessandro Pasotti

- Status changed from Open to Closed

I think we can close this ticket.

This kind of customization is now perfectly possible with Python server plugins.

#3 - 2015-04-10 07:51 AM - Giovanni Allegri

I don't agree with Alessandro, and I would reopen the ticket.

The suggested improvement is an effective and simple way to customize the output, without the overload and the complexities  of working with python

plugins to achieve the same goal. It's not the case of Andrea, but the same could be requested by a user without programming skills, and in many cases

the user hasn't the option to introduce the use of python plugins inside their system (probably mantined by a sysadmin).

#4 - 2015-04-10 07:53 AM - Jürgen Fischer

- Status changed from Closed to Open
#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

Files

sample_response.gif 26.5 KB 2014-08-08 aperi2007 -
